function copyToClipboard(event) {
    event.preventDefault();
    const el = document.createElement("textarea");
    el.value = event.currentTarget.getAttribute("data-url");
    document.body.appendChild(el);
    el.select();
    document.execCommand("copy");
    document.body.removeChild(el);
    
    showNotification();
}

function copyToClipboardDirectly(url) {
    const el = document.createElement("textarea");
    el.value = url;
    document.body.appendChild(el);
    el.select();
    document.execCommand("copy");
    document.body.removeChild(el);
}


function showNotification() {
    const notification = document.createElement('div');
    notification.id = "leia-la-notification";
    notification.innerText = "URL copiada para a área de transferência!";
    document.body.appendChild(notification);

    setTimeout(() => {
        notification.style.bottom = "20px";
    }, 50);

    setTimeout(() => {
        notification.style.bottom = "-60px";
        setTimeout(() => {
            document.body.removeChild(notification);
        }, 300);
    }, 2000);
}

jQuery(document).ready(function($) {
    $('.generate-leia-la-url').on('click', function(event) {
        event.preventDefault();
        
        const postId = $(this).data('post-id');
        
        $.ajax({
            url: ajaxurl,
            type: 'POST',
            data: {
                action: 'generate_leia_la_url',
                post_id: postId
            },
			success: function(response) {
				if(response.success) {
                    // Construa o novo HTML para a URL curta gerada
                    const iconUrl = `${location.origin}/wp-content/plugins/leiala/assets/img/icon-on.svg`; // Atualize o caminho se necessário
                    const newIconHtml = `<a href="#" data-url="${response.data.short_url}" data-tooltip="Copiar URL curta" class="leia-la-icon" onclick="copyToClipboard(event);"><img src="${iconUrl}" alt="Copiar URL curta" /></a>`;
                    
					// Atualizar o link na coluna do ícone
					$(`td.leia_la_url a[data-post-id="${postId}"]`).replaceWith(newIconHtml);

					// Atualizar o link "Gerar URL curta"
					const copyLinkHtml = `<a href="#" data-url="${response.data.short_url}" onclick="copyToClipboard(event);">Copiar URL curta</a>`;
					$(`span.generate_short_url a[data-post-id="${postId}"]`).replaceWith(copyLinkHtml);
					
					// Copia a nova URL curta para a área de transferência
					copyToClipboardDirectly(response.data.short_url);
					showNotification();
				} else {
					alert('Erro ao gerar URL curta.');
				}
			}
        });
    });

});

